# dlangui.graphics.images

DLANGUI library.
This module contains image loading functions.
Currently uses FreeImage.
Usage of libpng is not feasible under linux due to conflicts of library and binding versions.
Synopsis:

    import dlangui.graphics.images;

License:
Boost License 1.0
Authors:
Vadim Lopatin, coolreader.org@gmail.com

ColorDrawBuf loadImage(string filename);
  load and decode image from file to ColorDrawBuf, returns null if loading or decoding is failed
ColorDrawBuf loadImage(InputStream stream);
  load and decode image from stream to ColorDrawBuf, returns null if loading or decoding is failed

Page generated by Ddoc. Vadim Lopatin, 2014